lwIP 2.1.2 Lightweight IP stack

Data Fields
smtp_send_request Struct Reference

`#include <smtp.h>`

## Data Fields
u8_t | static_data

## Detailed Description

This structure is used as argument for smtp_send_mail_int(), which in turn can be used with tcpip_callback() to send mail from interrupt context, e.g. like this: struct smtp_send_request req; (to be filled) tcpip_try_callback(smtp_send_mail_int, (void)req);

For member description, see parameter description of smtp_send_mail(). When using with tcpip_callback, this structure has to stay allocated (e.g. using mem_malloc/mem_free) until its 'callback_fn' is called.

## Field Documentation

## ◆ static_data

u8_t smtp_send_request::static_data

If this is != 0, data is not copied into an extra buffer but used from the pointers supplied in this struct. This means less memory usage, but data must stay untouched until the callback function is called.

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/smtp.h